From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 13 November 2014<P>

Just L - Mom of two?  How old are they?
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 13 November 2014<P>

Star of David - You're very welcome.  I also cringe when I read some of my early stuff, but there's always a few gems mixed in there.  It is most definitely like a diary.  I read my older stuff and I often know what I was doing when I wrote it and what it's about.  I wish that former roommates of mind hadn't thrown out everything that I owned.  I had about 12 books of poetry that I can never get back.  I only posted about 2 books worth of it online in one place or another.  
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 13 November 2014<P>

B.K. - Truly, thank you.  You used "y'all".  I think I asked you this at one point, but I don't remember the answer.  Do you live in the southern United States?  I'm a Canadian and I'm stereotyping.
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 13 November 2014<P>

Open question to all:  What's a particular work of poetry, be it book or single poem,  that has touched you profoundly?  For me, it's probably "what matters most is how well you walk through the fire" by Charles Bukowski or Residence on Earth by Pablo Neruda.  Speaking of which, I can't remember who, but somebody on here introduced me to Pablo Neruda.  They said something I wrote reminded them of him.  I went and checked him out after that and thoroughly enjoy his work.  I thank you for telling me about him, whoever you were.
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 13 November 2014<P>

Star of David - And thank you.  Those are very kind words.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 13 November 2014<P>

In an act of complete idiocy, which I even repeated over the years, I burnt my poem books and diaries, letters, etc. Thankfully some stuff here from 2001 to date thanks to the Blender!
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 13 November 2014<P>

Blessed23: Since you asked and I am a pretty open book... Son 33; daughter 24.
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 13 November 2014<P>

Poems that have touched me... Oh so many; however, "Fidelity" by D.H. Lawrence was enough to say "yes" to marriage once upon a time ...<BR>
<BR>
And, my daughter and I both have ee Cummings "I carry your heart ..." inked on our bodies.
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 13 November 2014<P>

I have also had a book of Rumi on my bedside table for 20+ years. When I lose faith in love, it's my bible.
<HR>